diff options
author | clement <clement@FreeBSD.org> | 2004-04-07 22:27:47 +0800 |
---|---|---|
committer | clement <clement@FreeBSD.org> | 2004-04-07 22:27:47 +0800 |
commit | 6db362debec376473aa1ae5ac5df81716188ff59 (patch) | |
tree | 651df4b82cb4f99b7265ce5ca937b28b05e2488f /www/apache2 | |
parent | fc0b6c26f89c33ea7b14394fe0e3c3726814817a (diff) | |
download | freebsd-ports-gnome-6db362debec376473aa1ae5ac5df81716188ff59.tar.gz freebsd-ports-gnome-6db362debec376473aa1ae5ac5df81716188ff59.tar.zst freebsd-ports-gnome-6db362debec376473aa1ae5ac5df81716188ff59.zip |
- Fix install when people use a different /bin/sh
This shouldn't have been fixed, but I don't like setting UID and GID
variables.
so ${*} -> ${WWW*}
PR: 64032
Noticed by: Patrick Schoenfeld <schoenfeld@in-medias-res.com>
Diffstat (limited to 'www/apache2')
-rw-r--r-- | www/apache2/pkg-install | 26 |
1 files changed, 13 insertions, 13 deletions
diff --git a/www/apache2/pkg-install b/www/apache2/pkg-install index e6f436365b6b..81e2af006263 100644 --- a/www/apache2/pkg-install +++ b/www/apache2/pkg-install @@ -1,33 +1,33 @@ #!/bin/sh -# $FreeBSD: /tmp/pcvs/ports/www/apache2/Attic/pkg-install,v 1.3 2001-10-29 20:05:37 ache Exp $ +# $FreeBSD: /tmp/pcvs/ports/www/apache2/Attic/pkg-install,v 1.4 2004-04-07 14:27:47 clement Exp $ # if [ "$2" != "PRE-INSTALL" ]; then exit 0 fi -USER=www -GROUP=${USER} -UID=80 -GID=${UID} +WWWUSER=www +WWWGROUP=${WWWUSER} +WWWUID=80 +WWWGID=${WWWUID} -if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then - if pw groupadd ${GROUP} -g ${GID}; then - echo "Added group \"${GROUP}\"." +if ! pw groupshow "${WWWGROUP}" 2>/dev/null 1>&2; then + if pw groupadd ${WWWGROUP} -g ${WWWGID}; then + echo "Added group \"${WWWGROUP}\"." else - echo "Adding group \"${GROUP}\" failed..." + echo "Adding group \"${WWWGROUP}\" failed..." exit 1 fi fi -if ! pw usershow "${USER}" 2>/dev/null 1>&2; then - if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \ +if ! pw usershow "${WWWUSER}" 2>/dev/null 1>&2; then + if pw useradd ${WWWUSER} -u ${WWWUID} -g ${WWWGROUP} -h - \ -s "/sbin/nologin" -d "/nonexistent" \ -c "World Wide Web Owner"; \ then - echo "Added user \"${USER}\"." + echo "Added user \"${WWWUSER}\"." else - echo "Adding user \"${USER}\" failed..." + echo "Adding user \"${WWWUSER}\" failed..." exit 1 fi fi |